/* Hacked from code originally in neighbor.c module of SQUID relase
 * 
 * Implements dynamically computed per-URL hierarchies using
 * hashing functions.
 *
 * By: Bien Velez-Rivera MIT/LCS
 *
 */

#ifndef DYNAMIC_HIERARCHY_H
#define DYNAMIC_HIERARCHY_H


/* BV: Additions to handle dynamic hierarchies */
extern  int use_dynamic_hierarchy;

extern edge *dhGetFirstUpParent _PARAMS((request_t *));
extern int  dhParentCMP           _PARAMS((const void *p1, const void *p2));
extern int  dhParentWouldBePinged _PARAMS((edge *, request_t *));
extern void dhBuildParentSequence _PARAMS((request_t *request));
extern long dhParentHash      _PARAMS((char *parent_url, char *req_url));

#endif /* DYNAMIC_HIERARCHY_H */
